/*This SQL script uses the Demo database.
  This sample illustrates use of CREATE INDEX statement.
  This SQL script contains five queries.
  First one deletes table named "developers".
  The second creates this table with 3 fields.
  The third query inserts some data into the table.
  The fourth creates index so that "name"+"code" combination
  must be unique, for field "name" sorting order is descending
  and is case-insensitive. The new index is given name "UniqueName".
  The fifth query retrieves all rows from this table.*/

drop table developers;
create table developers (
  id AutoInc, 
  Code Integer, 
  Name varchar(20)
);
insert into developers (code, name) values (2, 'Janet');
create unique index UniqueName ON  developers (name desc, code);
select * from developers;
